/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	GoodList.h
*摘要：		游戏主地图类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include "PublicFun.h"
#include "Good.h"


class GoodList
{

public:
	void Init();
	int KeyDown(WPARAM KeyCode);
	void Show(WPARAM KeyCode);
	int CheckGoodExist(int type,int idx);
	int CheckGoodExistReturnPos(int type,int idx);
	void Add(int type,int idx,int sum = 0);
	int Del(int type,int idx,int sum = 0);
	int Del_t(int type,int idx,int sum = 0);
	void Clear();

	Good good[14][256];
	int goodInList[2731][3];
	int goodInListCount;

	int equipInList[2731][3];
	int equipInListCount;
};